// Multiplayer LTADS support for InstantAI.
//
// 1) load an LTADS, 2) target an enemy, 3) spot them (default binding is S)
// 4) all friendly AI arty units will fire at that target
//
// Thanks to M1A2K for the first demonstration of multiplayer LTADS in
// his CTF_City_of_Snipers map.

function vehicle::onSpot(%spotter,%target) {
	%pid = playerManager::vehicleIdToPlayerNum(%spotter);
	%t = getTeam(%spotter);
	%c = "<F3>";
	if (%target == "") {
		Say(%pid,1,%c@"Target no longer spotted.","GEN_1ARB07.WAV");
		while (%vid=getNextObject($IAI::AIGroup,%vid))
			if (%t == getTeam(%vid))
				if (IAI::IsArty(%vid))
					order(%vid,Clear,True);
		return;
	}
	%vid = 0;
	%cnt = 0;
	while (%vid=getNextObject($IAI::AIGroup,%vid))
		if (%t == getTeam(%vid))
			if (IAI::IsArty(%vid)) {
				%cnt = %cnt + 1;
				order(%vid,Attack,%target);
			}
	if (%cnt) {
		%tpid = playerManager::vehicleIdToPlayerNum(%target);
		if(%tpid != 0)
			Say(%tpid,1,%c@"Warning: Incoming artillery.","Artillery_warn.wav");
		%plural = "ies";
		if (%cnt == 1) %plural = "y";
		Say(%pid,1,%c@"Target spotted, "@%cnt@" batter"@%plural@" responding.",
			"GEN_1ARB04.WAV");
	} else
		Say(%pid,1,"Target spotted but no batteries are available.");
}

function vehicle::onMessage(%vid,%msg,%_1,%_2,%_3,%_4,%_5,%_6,%_7,%_8,%_9) {
    if (%msg == "ArtilleryOutOfAmmo") reloadObject(%vid,1000);
}
