// Instant AI Parameters

//-------------------------------------------------
// AI will be added if required so there are always
// this many players per team. 0 for no AI.
// If clients lag this number is probably too large.
//-------------------------------------------------
if ($IAI::TeamSize == "") $IAI::TeamSize = 12;

//-------------------------------------------------
// The number of AI artillery to drop for each team.
// This is in addition to AI dropped to satisfy
// $IAI::TeamSize. Set to 0 for no AI artillery.
// Artillery don't work well on every map, mostly
// because when their line of fire to the enemy is
// blocked they aren't always smart enough to move.
//-------------------------------------------------
if ($IAI::ArtyPerTeam == "") $IAI::ArtyPerTeam = 3;

//-------------------------------------------------
// 1 means let players carrying LTADS spot for
// artillery. If you don't use artillery set this
// to 0. If you do you can still set this to 0, the
// arty will just select their own targets.
//-------------------------------------------------
if ($IAI::EnableLTADS == "") $IAI::EnableLTADS = 1;

//-------------------------------------------------
// Vehicle selection logic. Uncomment only one.
// "All" is a mix of all weapons.
// "Limited" has no missles, sguns, etc.
// The rest are special "fun" modes.
// "Flyer" only looks good on non-dedicated servers
// and the flyers won't attack anything.
//-------------------------------------------------
if ($IAI::VehicleFile == "")
	$IAI::VehicleFile = "All";
	//$IAI::VehicleFile = "Limited";
	//$IAI::VehicleFile = "Promie";
	//$IAI::VehicleFile = "Bus";
	//$IAI::VehicleFile = "Bike";
	//$IAI::VehicleFile = "Arty";
	//$IAI::VehicleFile = "Hero";
	//$IAI::VehicleFile = "Flyer";

//-------------------------------------------------
// Pilot selection logic. Uncomment only one.
//-------------------------------------------------
if ($IAI::PilotFile == "")
	$IAI::PilotFile = "Drone";

//-------------------------------------------------
// 0 means don't change the drop points.
// 1 means randomly exchange drop point positions.
// This works well on some maps but not others.
// It's best when the map has a full 4 teams worth
// of drop points.
//-------------------------------------------------
if ($IAI::ScrambleDropPoints == "") $IAI::ScrambleDropPoints = 0;

//-------------------------------------------------
// Auto-heal/reload rates for AI and humans. Set to
// 0 or comment out to disable any or all of these.
//-------------------------------------------------
if ($IAI::AIReloadTrickle == "") $IAI::AIReloadTrickle = 1;
if ($IAI::AIHealTrickle == "") $IAI::AIHealTrickle = 150;
if ($IAI::HumanReloadTrickle == "") $IAI::HumanReloadTrickle = 1;
if ($IAI::HumanHealTrickle == "") $IAI::HumanHealTrickle = 150;

//-------------------------------------------------
// Heal/reload when players scan teammates. Set to
// 0 to disable.
//-------------------------------------------------
if ($IAI::ScanReload == "") $IAI::ScanReload = 1;
if ($IAI::ScanHeal == "") $IAI::ScanHeal = 700;

//-------------------------------------------------
// 1 means mark AI gathering point with a beam.
// It's purely cosmetic, set to 0 to turn it off.
//-------------------------------------------------
if ($IAI::PathBeam == "") $IAI::PathBeam = 1;

//-------------------------------------------------
// 1 means automatically append a "IAI<X>" to your
// server hostname. This lets clients know you're
// running IAI and how many AI there are.
//-------------------------------------------------
if ($IAI::ModifyHostname == "") $IAI::ModifyHostname = 1;

//-------------------------------------------------
// 1 means log stats for each AI config.  Buggy.
//-------------------------------------------------
if ($IAI::Stats == "") $IAI::Stats = 0;

//-------------------------------------------------
// Set to 1 and run a non-dedicated server to create
// new AI vehicle configs cloned from human players.
// Read iai.html for instructions.
//-------------------------------------------------
if ($IAI::CloneConfigs == "") $IAI::CloneConfigs = 0;
